(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./CurlNoiseGenerator.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.curlNoisePathName = void 0;
    exports.loadCurlNoisePath = loadCurlNoisePath;
    const engine_1 = require("@tsparticles/engine");
    const CurlNoiseGenerator_js_1 = require("./CurlNoiseGenerator.js");
    exports.curlNoisePathName = "curlNoise";
    async function loadCurlNoisePath(engine, refresh = true) {
        (0, engine_1.assertValidVersion)(engine, "3.7.1");
        await engine.addPathGenerator(exports.curlNoisePathName, new CurlNoiseGenerator_js_1.CurlNoiseGenerator(), refresh);
    }
});
